package com.sun.bigbrother.javanet;

/**
 * Classifier for a single java.net project.
 * @author Kohsuke Kawaguchi
 */
public interface Classifier {
    /**
     * Makes a prediction
     *
     * @param summary
     *      The single-line issue title that the user has entered.
     * @param comment
     *      The multi-line text that the user entered as the description.
     * @return
     *      null if the classifier fails to make a reasonable prediction.
     *      Otherwise return the name of the subcomponent. 
     */
    String predict(String summary, String comment);
}
