package com.sun.bigbrother.javanet;

import java.io.IOException;

/**
 * Creates {@link Classifier}s.
 *
 * @author Kohsuke Kawaguchi
 */
public interface ClassifierFactory {
    /**
     * Loads a trained data set for the given project.
     *
     * <p>
     * This method can take some time for loading data from the disk.
     *
     * @return
     *      null if there's no dataset for the given project. 
     */
    Classifier create(String javaNetProjectName) throws IOException;
}
